# Uses of Interface
com.ocient.util.QueuePermit

Packages that use QueuePermit
Package
Description
com.ocient.util

## Uses of QueuePermit in com.ocient.util

Classes in com.ocient.util that implement QueuePermit
Modifier and Type
Class
Description
`static final class`
`Iterators.LazyFanInPriorityQueue`
A priority queue for sequenced, asynchronous processing of `CompletableFutures.SQLResult<RowBatch>` elements.
Methods in com.ocient.util that return types with arguments of type QueuePermit
Modifier and Type
Method
Description
`CompletionStage<QueuePermit>`
Iterators.LazyFanInPriorityQueue.`acquirePermit()`
Acquires a permit for the queue.
Methods in com.ocient.util with parameters of type QueuePermit
Modifier and Type
Method
Description
`boolean`
Iterators.LazyFanInPriorityQueue.`send(int streamIndex, CompletableFutures.SQLResult<RowBatch> batchOrEx, QueuePermit permit)`
Sends an item to the specified stream index.
Constructor parameters in com.ocient.util with type arguments of type QueuePermit
Modifier
Constructor
Description
``
`LazyFanInPriorityQueue(int width, int capacity, SortMode sortMode, String queryId, Consumer<CompletableFutures.SQLResult<RowBatch>> onAdd, BiConsumer<CompletableFutures.SQLResult<RowBatch>,QueuePermit> onRemove, Executor executor)`
Constructs a LazyFanInPriorityQueue with the specified parameters.